﻿using System;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Xna.Framework.Media;

namespace PlaySong
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            MediaPlayer.MediaStateChanged += OnMediaPlayerMediaStateChanged;
        }

        void OnBrahmsButtonClick(object sender, RoutedEventArgs args)
        {
            Initialize();
            Song song = Song.FromUri("Brahms", new Uri("http://www.archive.org/download/BrahmsViolinConcerto-Heifetz/03Iii.AllegroGiocosoMaNonTroppoVivace.mp3"));
            PlaySong(song);
        }

        void OnPetzoldButtonClick(object sender, RoutedEventArgs args)
        {
            Initialize();
            Song song = Song.FromUri("Petzold", new Uri("Music/EtudeNumberTwo.wma", UriKind.Relative));
            PlaySong(song);
        }

        void Initialize()
        {
            MediaPlayer.Stop();
            playPauseButton.IsEnabled = false;
            playPauseButton.Content = "Play";
        }

        void PlaySong(Song song)
        {
            playPauseButton.IsEnabled = true;
            MediaPlayer.Play(song);
        }

        void OnPlayPauseButtonClick(object sender, RoutedEventArgs args)
        {
            if (MediaPlayer.State == MediaState.Playing)
                MediaPlayer.Pause();
            else
                MediaPlayer.Resume();
        }

        void OnMediaPlayerMediaStateChanged(object sender, EventArgs args)
        {
            switch (MediaPlayer.State)
            {
                case MediaState.Playing: playPauseButton.Content = "Pause"; break;
                case MediaState.Paused: playPauseButton.Content = "Play"; break;

                // This doesn't happen at end of song
                case MediaState.Stopped: playPauseButton.IsEnabled = false; break;
            }
        }
    }
}